> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeapi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# End a Charging Session

Ends an active charging session and finalizes billing. On success, the returned session has `status` set to `completed` and includes the final energy and amount totals.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.chargeapi.co/v1/charging_sessions/cs_F3gRSFFv59kJdbDfVJLByxIkAciECgc8/end \
    -H "Authorization: Bearer ch_sk_test_..." \
    --json '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id": "cs_F3gRSFFv59kJdbDfVJLByxIkAciECgc8",
      "object": "charging_session",
      "amount_due": 1842,
      "amount_paid": 1842,
      "charging_station": "chst_cUFSXSByCOnqy5bbXtJFLoZA2ZQAX6IQ",
      "connector": "connector_a1",
      "country": "FR",
      "created": "2026-04-01T01:21:48.263Z",
      "currency": "eur",
      "driver": "drv_qOtUn8LEZDRPqpwGt33lT0w0U0UBHQG2",
      "energy_consumed": 18250,
      "fleet": "flt_TZg7AWjPqjdKoAIglpiVVT7D3miTL2vv",
      "payment_method": "pm_gAHZlvrC6iWBaHnxNYnDlepnAFg6RK1u",
      "session_ended": "2026-04-01T03:07:21.968Z",
      "session_limit": null,
      "session_started": "2026-04-01T01:27:36.980Z",
      "status": "completed",
      "updated": "2026-04-01T03:08:41.681Z",
      "vehicle": "veh_k5PksqPmD8AqbtrxBATVEri4u0XAbiAp"
  }
  ```
</ResponseExample>

## Parameters

No parameters.

## Returns

Returns the updated charging session.
